com.h3c.dist.groups

## Enum GroupEvent

- java.lang.Object
- - java.lang.Enum<GroupEvent>
  - - com.h3c.dist.groups.GroupEvent

- All Implemented Interfaces:
    Serializable, Comparable<GroupEvent>

      public enum GroupEvent
      extends Enum<GroupEvent>

  GroupEvent enum lists possible group event types

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BECOME_LEADER` Become leader of the group
    `BECOME_MEMBER` Become member of group
    `BECOME_STANDBY` Become a standby member of group
    `MEMBER_JOIN` A new Member joined the group
    `MEMBER_LEAVE` A Member left the group
    `NEW_LEADER` New leader elected

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GroupEvent` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GroupEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BECOME_STANDBY

          public static final GroupEvent BECOME_STANDBY

      Become a standby member of group

    - #### BECOME_MEMBER

          public static final GroupEvent BECOME_MEMBER

      Become member of group

    - #### BECOME_LEADER

          public static final GroupEvent BECOME_LEADER

      Become leader of the group

    - #### MEMBER_JOIN

          public static final GroupEvent MEMBER_JOIN

      A new Member joined the group

    - #### MEMBER_LEAVE

          public static final GroupEvent MEMBER_LEAVE

      A Member left the group

    - #### NEW_LEADER

          public static final GroupEvent NEW_LEADER

      New leader elected

  - ### Method Detail

    - #### values

          public static GroupEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GroupEvent c : GroupEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GroupEvent valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.